# $Revision: 1.9 $, $Date: 2012/01/13 22:15:37 $
#
# Conditional build:
%bcond_with	tests	# do perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	CGI
%define		pnam	Application-Dispatch
Summary:	CGI::Application::Dispatch - dispatch requests to CGI::Application based objects
Summary(pl.UTF-8):	CGI::Application::Dispatch - przesyłanie żądań do obiektów opartych na CGI::Application
Name:		perl-CGI-Application-Dispatch
Version:	3.07
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	16774463bbec37624ad904477f97c8f7
URL:		http://search.cpan.org/dist/CGI-Application-Dispatch/
BuildRequires:	perl-CGI-Application
BuildRequires:	perl-Exception-Class
BuildRequires:	perl-Exception-Class-TryCatch
BuildRequires:	perl-Module-Build >= 0.20
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-build >= 4.3-0.20030515.6
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CGI::Application::Dispatch - dispatch requests to CGI::Application
based objects.

%description -l pl.UTF-8
CGI::Application::Dispatch służy do przesyłania żądań do obiektów
opartych na CGI::Application.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL Makefile.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/CGI/Application/*.pm
%{perl_vendorlib}/CGI/Application/Dispatch
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CGI-Application-Dispatch.spec,v $
Revision 1.9  2012/01/13 22:15:37  zbyniu
- up to 3.07

Revision 1.8  2012/01/13 12:08:15  zbyniu
- up to 3.05

Revision 1.7  2011/07/11 20:30:56  marti
- up to 3.04

Revision 1.6  2009/06/15 10:12:43  amateja
- updated to 2.16

Revision 1.5  2007/12/23 22:53:28  zbyniu
- up to 2.10

Revision 1.4  2007-02-12 22:09:10  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.2  2006/10/13 10:07:42  qboosh
- pl

Revision 1.1  2006/10/11 08:03:59  trojan
- initial release
